<template>
    <div id="home" v-loading.fullscreen="isshow" :element-loading-text="istype"
    element-loading-spinner="el-icon-loading"
    element-loading-background="rgba(0, 0, 0, 0.8)">
        
        <div class="box" v-for="(item,index) in datalist" :key="index">
            <div class="top">
                <img class="image1" src="../../assets/four.png">&nbsp;
                <div>
                    <p class="text">{{item.Name}}</p>
                </div>
                
            </div>
            <div class="list">
                <li>合同类型:&nbsp;{{item.ContractType}}</li>
                <li>合同事业部:&nbsp;{{item.ContractDepartment }}</li>
                 <li>合同状态:&nbsp;{{item.Contract_Status}}</li>
                <li>我方销售:&nbsp;{{item.Field2}}</li>
                <li>签署日期:&nbsp;{{item.ContractSignDate}}</li>
               <li>采购成本:&nbsp;{{item.CurrencyIsoCode}}&nbsp;{{item.SalesPurchaseCost}}</li>
                 <li style="color:red;">合同金额:&nbsp;{{item.CurrencyIsoCode}}&nbsp;{{item.Salesrev}}</li>
                <li style="color:red;">服务金额:&nbsp;{{item.CurrencyIsoCode}}&nbsp;{{item.Amount}}</li>
                 <li>已收款:&nbsp;{{item.CurrencyIsoCode}}&nbsp;{{item.IncomeConfirm}}</li>
                <li>未收款:&nbsp;{{item.CurrencyIsoCode}}&nbsp;{{item.Incomenoconfirm}}</li>
                
            </div>
        </div>
           <el-dialog
            title="提示"
            :visible.sync="issave"
            width="90%"
            height="20vh"
           >
            <span style="margin:0 auto; width:20%;">{{word}}</span>
            <span slot="footer" class="dialog-footer">
                <el-button style="background:#5C77A0; color:white;" @click="sureback()">确 定</el-button>
            </span>
        </el-dialog>
    </div>
</template>
<script>
import format from '../../utils/format.js';
export default {
    data(){
        return{
            isshow:false,
            istype:'',
            datalist:[],
            issave:false,
            word:''
        }
    },
    methods:{
        sureback(){
            this.issave=false;
        }
    },
    created(){
        let that=this;
        that.isshow=true;
        that.istype='加载中';
         client.apexrest('/rest/ProjectContractDetail?Pid='+that.$route.query.id,function(data){
                  console.log(data);
                  that.isshow=false;
                  if(data.Message=="Success"){
                      if(data.conlist.length>0){
                          that.datalist=data.conlist;
                          that.datalist.filter((val,index)=>{
                              val.Salesrev=format(Number(val.Salesrev));
                              val.Amount=format(Number(val.Amount));
                              val.SalesPurchaseCost=format(Number(val.SalesPurchaseCost));
                              val.IncomeConfirm=format(Number(val.IncomeConfirm));
                              val.Incomenoconfirm=format(Number(val.Incomenoconfirm));
                          })
                      }else{
                           that.datalist=[];
                            that.issave=true;
                            that.word='无数据';
                      }
                  }else{
                      that.issave=true;
                      that.word=data.Message;
                      console.log(data.Message);
                  }
                },function(error){
                  that.isshow=false;
                  that.issave=true;
                  that.word=error;
                  console.log(error);

                },'GET',null,true)
    }
}
</script>
<style lang="scss" type="text/scss" scoped>
    #home{
        width:100%;
        margin: 0 auto;
    }
    #home .box{
        width: 100%;
        margin:0 auto;
        // height: 6rem;
        height: auto;
        background: white;
        box-shadow: 0.02rem 0.02rem #eeeeee;
        // border-radius: 0.2rem;
        margin-top: 0.2rem;
       
    }
    #home .box .top{
        width: 100%;
        // border-radius: 0.2rem 0.2rem 0 0;
        height: auto;
        // line-height: 0.5rem;
        margin:0 auto;
        display: flex;
        align-items: center;
        padding-top: 0.2rem;
        padding-bottom: 0.2rem;
        /* line-height: 1rem; */
        border-bottom: 0.02rem solid lightgray;
        background: #CFDCEF;;
    }
     #home .box .top .image1{
         width: 0.6rem;
         height: 0.6rem;
        //  margin-top: 0.2rem;
         margin-left: 0.2rem;
     }
     #home .box .top .text{
         /* height: 0.5rem; */
         width: 105%;
        //  padding-top: 0.28rem;
         color: white;
         color: gray;
         font-size: 0.34rem;
        //  overflow:hidden;white-space:normal; word-break:break-all;text-overflow:ellipsis;
        height: auto;
        line-height: 0.5rem;
         /* line-height: 0.5rem; */

     }
      #home .box .top .text:nth-child(2){
          font-size: 0.24rem;
      }
     /* #home .box .top h5{
         font-size: 0.28rem;
         color: gray;
     } */
      #home .box .list{
           width: 95%;
        margin:0 auto;
        display: flex;
        flex-wrap: wrap;
      }
     #home .box .list li{
         width:49%;
         margin-left: 1%;
         height: 1rem;
         line-height: 1rem;
         font-size: 0.28rem;
         color: gray;
         border-bottom: 0.02rem solid #eeeeee;
     }
</style>

